<?php
/*
Plugin Name: Free Books Section
Plugin URI: http://www.whitedovebooks.co.uk/plugin/fbs.htm
Description: This plugin enables you to provide your visitors with quality content for free. It will keep people coming back to your site as we will be adding to these books over the course of time. In addition, the offers displayed on the download pages and also in the books themselves will all earn you commissions via ClickBank.

Version: 3.1
Author: Will Edwards
Author URI: http://www.whitedovebooks.co.uk
*/

/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

/* Runs when plugin is activated */
register_activation_hook(__FILE__,'fbs_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'fbs_remove' );

function fbs_install() {
/* Creates new database field */
add_option("fbs_data", 'whitedove', '', 'yes');
}

function fbs_remove() {
/* Deletes the database field */
delete_option('fbs_data');
}

add_shortcode('free_books_section', 'free_books_section');

function free_books_section() {

  $nickname = get_option('fbs_data');
  
  $refer = "http://" . $nickname . ".dovebooks.hop.clickbank.net";
    
  return <<<HTML

  <html>
    
  <IFRAME SRC='$refer' SCROLLING='no' WIDTH='600' HEIGHT='800' FRAMEBORDER='no'></IFRAME>

<center>
<br>
<H2><a title="Personal Mentoring by Will Edwards" href="http://$nickname.whitedove.hop.clickbank.net" target="blank">Personal Mentoring by Will Edwards</H2>

<a href="http://$nickname.whitedove.hop.clickbank.net" target="blank"><img src="http://www.whitedovebooks.co.uk/images/1million.jpg"></a>

<H3><a title="Watch the Video" href="http://$nickname.whitedove.hop.clickbank.net" target="blank">Click Here to Watch the Video!</a></H3>

</center>

  </html>

HTML;

  }

      
add_action( 'admin_menu', 'fbs_plugin_menu' );

function fbs_plugin_menu() {
	add_options_page( 'Free Books Section Options', 'Free Books Section', 'manage_options', _FILE_, 'fbs_plugin_options' );
      }

function fbs_plugin_options() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
		
?>

<div class="wrap">
<h1>Free Books Section Plugin</h1>
<?php screen_icon(); ?>
<h2>Settings</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<table width="510">
<tr valign="top">

<th width="92" scope="row">ClickBank Nickname:</th>
<td width="406">
<input name="fbs_data" type="text" id="fbs_data"
value="<?php echo get_option('fbs_data'); ?>" />

</td>
</tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="fbs_data" />

<p>

<input name="update" type="submit" value="Save Changes">

</p>

</form>

<p><H2>Instructions</H2></p>

<p>This plugin enables you to provide your visitors with quality content and earn commissions via ClickBank.</p> 
<p>All you need to do is get your ClickBank Nickname and follow these instructions:</p>

<p>1. Enter & Save Your ClickBank Nickname (Above)</p>
<p>2. Create a New Page (Pages/Add New)</p>
<p>3. Insert the Shortcode: [free_books_section]</p>
<p>4. Save the Page </p>
<p>5. Link the Page to Your Navigation Menu (Appearance/Menus)</p>

<form>
<br>
<input type="button" value="Join ClickBank" onClick="window.open('http://www.clickbank.com/clickbank-for-affiliates/');">

<input type="button" value="Installation Video" onClick="window.open('http://www.whitedovebooks.co.uk/plugin/getplugin.htm');">

</form>
<br>
<p>If you don't have a ClickBank Nickname, use the button above to obtain one - it's free to join.</p>

<p>You will earn 75% commission on products advertised in the books and 50% recurring commisions on sales of the Mentoring Program.

</div>

<?php } ?>